'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isBool = isBool;
exports.isEmpty = isEmpty;
exports.isNumber = isNumber;
exports.isUndefined = isUndefined;
exports.entries = entries;
exports.omit = omit;
function isBool(x) {
    return typeof x === 'boolean';
}
function isEmpty(x) {
    return x.length === 0;
}
function isNumber(x) {
    return !isNaN(parseFloat(x));
}
function isUndefined(x) {
    return typeof x === 'undefined';
}
function entries(obj) {
    return Object.keys(obj).map(k => [k, obj[k]]);
}
function omit(obj, fn) {
    const ret = {};
    for (const [k, v] of entries(obj)) {
        if (!fn(v)) {
            ret[k] = v;
        }
    }
    return ret;
}
//# sourceMappingURL=utils.js.map